CREATE TABLE inv_lot_numbers (
    INVENTORY_ITEM_ID           NUMBER(18, 0) ,
    ORGANIZATION_ID             NUMBER(18, 0) ,
    UNIQUE_DEVICE_IDENTIFIER    VARCHAR2(600) ,
    LOT_NUMBER                  VARCHAR2(320) ,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    EXPIRATION_DATE             DATE          ,
    DISABLE_FLAG                VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY          VARCHAR2(120) ,
    ATTRIBUTE1                  VARCHAR2(600) ,
    ATTRIBUTE2                  VARCHAR2(600) ,
    ATTRIBUTE3                  VARCHAR2(600) ,
    ATTRIBUTE4                  VARCHAR2(600) ,
    ATTRIBUTE5                  VARCHAR2(600) ,
    ATTRIBUTE6                  VARCHAR2(600) ,
    ATTRIBUTE7                  VARCHAR2(600) ,
    ATTRIBUTE8                  VARCHAR2(600) ,
    ATTRIBUTE9                  VARCHAR2(600) ,
    ATTRIBUTE10                 VARCHAR2(600) ,
    ATTRIBUTE11                 VARCHAR2(600) ,
    ATTRIBUTE12                 VARCHAR2(600) ,
    ATTRIBUTE13                 VARCHAR2(600) ,
    ATTRIBUTE14                 VARCHAR2(600) ,
    ATTRIBUTE15                 VARCHAR2(600) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    GEN_OBJECT_ID               NUMBER(18, 0)     NOT NULL,
    DESCRIPTION                 VARCHAR2(1024),
    VENDOR_ID                   NUMBER(18, 0) ,
    SUPPLIER_LOT_NUMBER         VARCHAR2(600) ,
    TERRITORY_CODE              VARCHAR2(120) ,
    GRADE_CODE                  VARCHAR2(600) ,
    ORIGINATION_DATE            DATE          ,
    DATE_CODE                   VARCHAR2(600) ,
    STATUS_ID                   NUMBER(18, 0) ,
    CHANGE_DATE                 DATE          ,
    AGE                         NUMBER        ,
    RETEST_DATE                 DATE          ,
    MATURITY_DATE               DATE          ,
    LOT_ATTRIBUTE_CATEGORY      VARCHAR2(120) ,
    ITEM_SIZE                   NUMBER        ,
    COLOR                       VARCHAR2(600) ,
    LOT_VOLUME                  NUMBER        ,
    VOLUME_UOM                  VARCHAR2(12)  ,
    PLACE_OF_ORIGIN             VARCHAR2(600) ,
    BEST_BY_DATE                DATE          ,
    LOT_LENGTH                  NUMBER        ,
    LENGTH_UOM                  VARCHAR2(12)  ,
    RECYCLED_CONTENT            NUMBER        ,
    LOT_THICKNESS               NUMBER        ,
    THICKNESS_UOM               VARCHAR2(12)  ,
    LOT_WIDTH                   NUMBER        ,
    WIDTH_UOM                   VARCHAR2(12)  ,
    CURL_WRINKLE_FOLD           VARCHAR2(600) ,
    C_ATTRIBUTE1                VARCHAR2(600) ,
    C_ATTRIBUTE2                VARCHAR2(600) ,
    C_ATTRIBUTE3                VARCHAR2(600) ,
    C_ATTRIBUTE4                VARCHAR2(600) ,
    C_ATTRIBUTE5                VARCHAR2(600) ,
    C_ATTRIBUTE6                VARCHAR2(600) ,
    C_ATTRIBUTE7                VARCHAR2(600) ,
    C_ATTRIBUTE8                VARCHAR2(600) ,
    C_ATTRIBUTE9                VARCHAR2(600) ,
    C_ATTRIBUTE10               VARCHAR2(600) ,
    C_ATTRIBUTE11               VARCHAR2(600) ,
    C_ATTRIBUTE12               VARCHAR2(600) ,
    C_ATTRIBUTE13               VARCHAR2(600) ,
    C_ATTRIBUTE14               VARCHAR2(600) ,
    C_ATTRIBUTE15               VARCHAR2(600) ,
    C_ATTRIBUTE16               VARCHAR2(600) ,
    C_ATTRIBUTE17               VARCHAR2(600) ,
    C_ATTRIBUTE18               VARCHAR2(600) ,
    C_ATTRIBUTE19               VARCHAR2(600) ,
    C_ATTRIBUTE20               VARCHAR2(600) ,
    D_ATTRIBUTE1                DATE          ,
    D_ATTRIBUTE2                DATE          ,
    D_ATTRIBUTE3                DATE          ,
    D_ATTRIBUTE4                DATE          ,
    D_ATTRIBUTE5                DATE          ,
    D_ATTRIBUTE6                DATE          ,
    D_ATTRIBUTE7                DATE          ,
    D_ATTRIBUTE8                DATE          ,
    D_ATTRIBUTE9                DATE          ,
    D_ATTRIBUTE10               DATE          ,
    N_ATTRIBUTE1                NUMBER        ,
    N_ATTRIBUTE2                NUMBER        ,
    N_ATTRIBUTE3                NUMBER        ,
    N_ATTRIBUTE4                NUMBER        ,
    N_ATTRIBUTE5                NUMBER        ,
    N_ATTRIBUTE6                NUMBER        ,
    N_ATTRIBUTE7                NUMBER        ,
    N_ATTRIBUTE8                NUMBER        ,
    N_ATTRIBUTE9                NUMBER        ,
    N_ATTRIBUTE10               NUMBER        ,
    T_ATTRIBUTE1                TIMESTAMP(6)  ,
    T_ATTRIBUTE2                TIMESTAMP(6)  ,
    T_ATTRIBUTE3                TIMESTAMP(6)  ,
    T_ATTRIBUTE4                TIMESTAMP(6)  ,
    T_ATTRIBUTE5                TIMESTAMP(6)  ,
    CYCLES_SINCE_NEW            VARCHAR2(960) ,
    CYCLES_SINCE_OVERHAUL       VARCHAR2(960) ,
    TIME_SINCE_REPAIR           VARCHAR2(960) ,
    CYCLES_SINCE_REPAIR         VARCHAR2(960) ,
    TIME_SINCE_VISIT            VARCHAR2(960) ,
    CYCLES_SINCE_VISIT          VARCHAR2(960) ,
    TIME_SINCE_MARK             VARCHAR2(960) ,
    CYCLES_SINCE_MARK           VARCHAR2(960) ,
    NUMBER_OF_REPAIRS           VARCHAR2(960) ,
    VENDOR_NAME                 VARCHAR2(960) ,
    PARENT_LOT_NUMBER           VARCHAR2(320) ,
    ORIGINATION_TYPE            VARCHAR2(120) ,
    AVAILABILITY_TYPE           NUMBER        ,
    EXPIRATION_ACTION_CODE      VARCHAR2(128) ,
    EXPIRATION_ACTION_DATE      DATE          ,
    HOLD_DATE                   DATE          ,
    INVENTORY_ATP_CODE          NUMBER        ,
    RESERVABLE_TYPE             NUMBER        ,
    SAMPLING_EVENT_ID           NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE16                 VARCHAR2(600) ,
    ATTRIBUTE17                 VARCHAR2(600) ,
    ATTRIBUTE18                 VARCHAR2(600) ,
    ATTRIBUTE19                 VARCHAR2(600) ,
    ATTRIBUTE20                 VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1           NUMBER        ,
    ATTRIBUTE_NUMBER2           NUMBER        ,
    ATTRIBUTE_NUMBER3           NUMBER        ,
    ATTRIBUTE_NUMBER4           NUMBER        ,
    ATTRIBUTE_NUMBER5           NUMBER        ,
    ATTRIBUTE_NUMBER6           NUMBER        ,
    ATTRIBUTE_NUMBER7           NUMBER        ,
    ATTRIBUTE_NUMBER8           NUMBER        ,
    ATTRIBUTE_NUMBER9           NUMBER        ,
    ATTRIBUTE_NUMBER10          NUMBER        ,
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_TIMESTAMP1        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5        TIMESTAMP(6)  ,
    LOT_ITEM_DISABLE_FLAG       VARCHAR2(4)   ,
    ERECORD_ID                  NUMBER(18, 0) ,
    ERES_APPROVAL_STATUS        VARCHAR2(320) ,
    INVENTORY_ITEM_ID           NUMBER(18, 0) ,
    ORGANIZATION_ID             NUMBER(18, 0) ,
    LOT_NUMBER                  VARCHAR2(320) ,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    EXPIRATION_DATE             DATE          ,
    DISABLE_FLAG                VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY          VARCHAR2(120) ,
    ATTRIBUTE1                  VARCHAR2(600) ,
    ATTRIBUTE2                  VARCHAR2(600) ,
    ATTRIBUTE3                  VARCHAR2(600) ,
    ATTRIBUTE4                  VARCHAR2(600) ,
    ATTRIBUTE5                  VARCHAR2(600) ,
    ATTRIBUTE6                  VARCHAR2(600) ,
    ATTRIBUTE7                  VARCHAR2(600) ,
    ATTRIBUTE8                  VARCHAR2(600) ,
    ATTRIBUTE9                  VARCHAR2(600) ,
    ATTRIBUTE10                 VARCHAR2(600) ,
    ATTRIBUTE11                 VARCHAR2(600) ,
    ATTRIBUTE12                 VARCHAR2(600) ,
    ATTRIBUTE13                 VARCHAR2(600) ,
    ATTRIBUTE14                 VARCHAR2(600) ,
    ATTRIBUTE15                 VARCHAR2(600) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    GEN_OBJECT_ID               NUMBER(18, 0)     NOT NULL,
    DESCRIPTION                 VARCHAR2(1024),
    VENDOR_ID                   NUMBER(18, 0) ,
    SUPPLIER_LOT_NUMBER         VARCHAR2(600) ,
    TERRITORY_CODE              VARCHAR2(120) ,
    GRADE_CODE                  VARCHAR2(600) ,
    ORIGINATION_DATE            DATE          ,
    DATE_CODE                   VARCHAR2(600) ,
    STATUS_ID                   NUMBER(18, 0) ,
    CHANGE_DATE                 DATE          ,
    AGE                         NUMBER        ,
    RETEST_DATE                 DATE          ,
    MATURITY_DATE               DATE          ,
    LOT_ATTRIBUTE_CATEGORY      VARCHAR2(120) ,
    ITEM_SIZE                   NUMBER        ,
    COLOR                       VARCHAR2(600) ,
    LOT_VOLUME                  NUMBER        ,
    VOLUME_UOM                  VARCHAR2(12)  ,
    PLACE_OF_ORIGIN             VARCHAR2(600) ,
    BEST_BY_DATE                DATE          ,
    LOT_LENGTH                  NUMBER        ,
    LENGTH_UOM                  VARCHAR2(12)  ,
    RECYCLED_CONTENT            NUMBER        ,
    LOT_THICKNESS               NUMBER        ,
    THICKNESS_UOM               VARCHAR2(12)  ,
    LOT_WIDTH                   NUMBER        ,
    WIDTH_UOM                   VARCHAR2(12)  ,
    CURL_WRINKLE_FOLD           VARCHAR2(600) ,
    C_ATTRIBUTE1                VARCHAR2(600) ,
    C_ATTRIBUTE2                VARCHAR2(600) ,
    C_ATTRIBUTE3                VARCHAR2(600) ,
    C_ATTRIBUTE4                VARCHAR2(600) ,
    C_ATTRIBUTE5                VARCHAR2(600) ,
    C_ATTRIBUTE6                VARCHAR2(600) ,
    C_ATTRIBUTE7                VARCHAR2(600) ,
    C_ATTRIBUTE8                VARCHAR2(600) ,
    C_ATTRIBUTE9                VARCHAR2(600) ,
    C_ATTRIBUTE10               VARCHAR2(600) ,
    C_ATTRIBUTE11               VARCHAR2(600) ,
    C_ATTRIBUTE12               VARCHAR2(600) ,
    C_ATTRIBUTE13               VARCHAR2(600) ,
    C_ATTRIBUTE14               VARCHAR2(600) ,
    C_ATTRIBUTE15               VARCHAR2(600) ,
    C_ATTRIBUTE16               VARCHAR2(600) ,
    C_ATTRIBUTE17               VARCHAR2(600) ,
    C_ATTRIBUTE18               VARCHAR2(600) ,
    C_ATTRIBUTE19               VARCHAR2(600) ,
    C_ATTRIBUTE20               VARCHAR2(600) ,
    D_ATTRIBUTE1                DATE          ,
    D_ATTRIBUTE2                DATE          ,
    D_ATTRIBUTE3                DATE          ,
    D_ATTRIBUTE4                DATE          ,
    D_ATTRIBUTE5                DATE          ,
    D_ATTRIBUTE6                DATE          ,
    D_ATTRIBUTE7                DATE          ,
    D_ATTRIBUTE8                DATE          ,
    D_ATTRIBUTE9                DATE          ,
    D_ATTRIBUTE10               DATE          ,
    N_ATTRIBUTE1                NUMBER        ,
    N_ATTRIBUTE2                NUMBER        ,
    N_ATTRIBUTE3                NUMBER        ,
    N_ATTRIBUTE4                NUMBER        ,
    N_ATTRIBUTE5                NUMBER        ,
    N_ATTRIBUTE6                NUMBER        ,
    N_ATTRIBUTE7                NUMBER        ,
    N_ATTRIBUTE8                NUMBER        ,
    N_ATTRIBUTE9                NUMBER        ,
    N_ATTRIBUTE10               NUMBER        ,
    T_ATTRIBUTE1                TIMESTAMP(6)  ,
    T_ATTRIBUTE2                TIMESTAMP(6)  ,
    T_ATTRIBUTE3                TIMESTAMP(6)  ,
    T_ATTRIBUTE4                TIMESTAMP(6)  ,
    T_ATTRIBUTE5                TIMESTAMP(6)  ,
    CYCLES_SINCE_NEW            VARCHAR2(960) ,
    CYCLES_SINCE_OVERHAUL       VARCHAR2(960) ,
    TIME_SINCE_REPAIR           VARCHAR2(960) ,
    CYCLES_SINCE_REPAIR         VARCHAR2(960) ,
    TIME_SINCE_VISIT            VARCHAR2(960) ,
    CYCLES_SINCE_VISIT          VARCHAR2(960) ,
    TIME_SINCE_MARK             VARCHAR2(960) ,
    CYCLES_SINCE_MARK           VARCHAR2(960) ,
    NUMBER_OF_REPAIRS           VARCHAR2(960) ,
    VENDOR_NAME                 VARCHAR2(960) ,
    PARENT_LOT_NUMBER           VARCHAR2(320) ,
    ORIGINATION_TYPE            VARCHAR2(120) ,
    AVAILABILITY_TYPE           NUMBER        ,
    EXPIRATION_ACTION_CODE      VARCHAR2(128) ,
    EXPIRATION_ACTION_DATE      DATE          ,
    HOLD_DATE                   DATE          ,
    INVENTORY_ATP_CODE          NUMBER        ,
    RESERVABLE_TYPE             NUMBER        ,
    SAMPLING_EVENT_ID           NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE16                 VARCHAR2(600) ,
    ATTRIBUTE17                 VARCHAR2(600) ,
    ATTRIBUTE18                 VARCHAR2(600) ,
    ATTRIBUTE19                 VARCHAR2(600) ,
    ATTRIBUTE20                 VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1           NUMBER        ,
    ATTRIBUTE_NUMBER2           NUMBER        ,
    ATTRIBUTE_NUMBER3           NUMBER        ,
    ATTRIBUTE_NUMBER4           NUMBER        ,
    ATTRIBUTE_NUMBER5           NUMBER        ,
    ATTRIBUTE_NUMBER6           NUMBER        ,
    ATTRIBUTE_NUMBER7           NUMBER        ,
    ATTRIBUTE_NUMBER8           NUMBER        ,
    ATTRIBUTE_NUMBER9           NUMBER        ,
    ATTRIBUTE_NUMBER10          NUMBER        ,
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_TIMESTAMP1        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4        TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5        TIMESTAMP(6)  ,
    LOT_ITEM_DISABLE_FLAG       VARCHAR2(4)   ,
    UNIQUE_DEVICE_IDENTIFIER    VARCHAR2(600) ,
    ERECORD_ID                  NUMBER(18, 0) ,
    ERES_APPROVAL_STATUS        VARCHAR2(320) ,
    CONSTRAINT pk_inv_lot_numbers PRIMARY KEY (INVENTORY_ITEM_ID, ORGANIZATION_ID, LOT_NUMBER, INVENTORY_ITEM_ID, ORGANIZATION_ID, LOT_NUMBER)
);
